Bug 147739 - /etc/init.d/dhcp configtest ignores DHCPDARGS
/etc/init.d/dhcp configtest ignores DHCPDARGS
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcp (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jiri Popelka
Depends On:
Blocks: 190430
  Show dependency treegraph
Reported: 2005-02-10 16:02 EST by Josh Kelley
Modified: 2010-04-06 09:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-06 09:17:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Kelley 2005-02-10 16:02:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The configtest function in the dhcpd startup/shutdown script ignores any DHCPDARGS specified in /etc/sysconfig/dhcpd.  If DHCPDARGS is used to specify an alternate config file, via the -cf option, then configtest ends up testing the wrong config file (and will likely fail).  This means that the restart/reload function of the startup/shutdown script doesn't work either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Move /etc/dhcpd.conf to another location (e.g., /etc/dhcpd/dhcpd.conf).
2. Place a blank dhcpd.conf file in /etc to satisfy the "[ -f /etc/dhcpd.conf ] || exit 0" test in the startup script.
3. Edit /etc/sysconfig/dhcpd with the new location (e.g., "DHCPDARGS='-cf /etc/dhcpd/dhcpd.conf'").
4. Restart dhcpd.

Actual Results:  dhcpd complains about missing arguments in /etc/dhcpd.conf.

Expected Results:  configtest uses the "real" dhcpd.conf file.

If this is not possible, then "service dhcpd restart" should at least give the same results as "service dhcpd stop; service dhcpd stop" (i.e., it should probably not invoke configtest).

Additional info:
Comment 1 Jason Vas Dias 2005-02-11 19:35:15 EST
This bug is now fixed with dhcp-3.0.1-33_FC3, which is now making its
way through QA testing, and will hopefully end up in RHEL-3-U5 .
Meanwhile, you can download it from:
http://people.redhat.com/~jvdias/DHCP/RHEL-3/ .
Please test this version and let me know if it fixes your problem
or if you can find any other problems with it.
Thank You,
Jason Vas Dias, Red Hat. 
Comment 2 Josh Kelley 2005-02-15 11:59:12 EST
Two problems with the -33 version:

The sed one-liner in configtest removes the space between -cf and the
filename, and dhcpd doesn't like that.

The start function no longer passes ${DHCPDARGS} when starting dhcpd,
so alternate config files don't work at all.

Thanks for the quick reply.
Comment 3 Jason Vas Dias 2005-10-14 10:46:02 EDT
This bug (and issue raised in previous comment) is fixed with dhcp-3.0.1-40_EL3+.
Comment 4 Josh Kelley 2005-10-14 15:31:57 EDT
Comment 11 Jiri Popelka 2010-04-06 09:17:53 EDT
Closing as WONTFIX. dhcp-3.0.1-10_EL3 is the latest version shipped for RHEL-3.

Note You need to log in before you can comment on or make changes to this bug.